Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster
Class UpdateClusterEvent

    java.lang.Object
      org.exist.cluster.ClusterEvent
          org.exist.cluster.UpdateClusterEvent

All Implemented Interfaces:
  java.io.Serializable

public class UpdateClusterEvent
extends ClusterEvent

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina Date: 14-dic-2004 Time: 15.57.25 Revision $Revision: 2435 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.exist.cluster.ClusterEvent
`NO_EVENT`

Constructor Summary
`UpdateClusterEvent(java.lang.String documentName, java.lang.String collectionName, java.lang.String xupdate)`

Method Summary
`void` | `execute()` Execute the current command.
`int` | `hashCode()`

Methods inherited from class org.exist.cluster.ClusterEvent
`equals, getCollection, getCollection, getCollectionName, getCounter, getDocumentName, getId, getResource, setCounter, setId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateClusterEvent

    public UpdateClusterEvent(java.lang.String documentName,
                              java.lang.String collectionName,
                              java.lang.String xupdate)

Method Detail

### execute

    public void execute()
                 throws ClusterException

  Execute the current command.

  Specified by:
    `execute` in class `ClusterEvent`
  Throws:
    `ClusterException`

### hashCode

    public int hashCode()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.